- name: Installation et configuration de Nginx
  hosts: oracle-server
  become: yes  # Utilise sudo pour les commandes
  tasks:

    - name: Mettre à jour les paquets apt
      apt:
        update_cache: yes
        cache_valid_time: 3600  # Cache valide pendant 1 heure

    - name: Installer Nginx
      apt:
        name: nginx
        state: present

    - name: Démarrer et activer Nginx
      service:
        name: nginx
        state: started
        enabled: yes

    - name: Générer le certificat et mettre en place le HTTPS
      command: /usr/bin/certbot --nginx -d oscar.nicolas-bardin.ovh --email rouquette.oscar@gmail.com --agree-tos --redirect --non-interactive --quiet


